Subject: Re: [RFC PATCH v4 00/26] Return of smart HTTP

From: Jakub Narebski <[email-masked]>
Date: Thu, 29 Oct 2009 01:12:17 -0700 (PDT)

"Shawn O. Pearce" <[email-masked]> writes:

> I think this is the final spin of the smart HTTP series.  I've
> collected patches from a few others (thanks folks!)  and added
> tests specific to the smart variant of the HTTP transport.
> 
> At this point, I think it is "next ready"... but would appreciate
> any additional feedback if folks identify something we should
> address before hitting next.
[...]

>  .gitignore                           |    1 +
>  Documentation/config.txt             |    8 +
>  Documentation/git-http-backend.txt   |  170 ++++++++
>  Documentation/git-remote-helpers.txt |   85 ++++-
>  Makefile                             |    1 +
[...]

>  32 files changed, 2574 insertions(+), 223 deletions(-)
>  create mode 100644 Documentation/git-http-backend.txt
>  create mode 100644 http-backend.c
>  create mode 100755 t/t5541-http-push.sh
>  create mode 100755 t/t5551-http-fetch.sh
 
If it is a final spin, then what of missing RFC-like documentation of
Git HTTP protocol in Documentation/technical/http-protocol.txt
(it was present only in first version of new series)?

-- 
Jakub Narebski
Poland
ShadeHawk on #git